surfaces(6x)

NAME
surfaces - Draws some interesting 3d parametric surfaces.

SYNOPSIS
surfaces [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--speed number] [--rand] [--spin] [--wander] [--fps] [--surface surface-name] [--random-surface] [--dini] [--enneper] [--kuen] [--moebius] [--seashell] [--swallowtail] [--bohemian] [--whitney] [--pluecker] [--henneberg] [--catalan] [--corkscrew] [--mode display-mode] [--random-mode] [--points] [--lines] [--line-loops]

DESCRIPTION
This draws one of several three dimensional parametric surfaces.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

--speed number
    Number of frames before changing shape. Default: 1000.

--surface random (Shortcut: --random-surface)
    Display a random surface. This is the default.

--surface dini (Shortcut: --dini)
    Display Dini's surface.

--surface enneper (Shortcut: --enneper)
    Display Enneper's minimal surface.

--surface kuen (Shortcut: --kuen)
    Display the Kuen surface.

--surface moebius (Shortcut: --moebius)
    Display the Moebius strip.

--surface seashell (Shortcut: --seashell)
    Display the seashell surface.

--surface swallowtail (Shortcut: --swallowtail)
    Display the swallowtail catastrophe.

--surface bohemian (Shortcut: --bohemian)
    Display the Bohemian dome.

--surface whitney (Shortcut: --whitney)
    Display the Whitney umbrella.

--surface pluecker (Shortcut: --pluecker)
    Display Pluecker's conoid.

--surface henneberg (Shortcut: --henneberg)
    Display Henneberg's minimal surface.

--surface catalan (Shortcut: --catalan)
    Display Catalan's minimal surface.

--surface corkscrew (Shortcut: --corkscrew)
    Display the corkscrew surface.

--mode random (Shortcut: --random-mode)
    Use random OpenGL primitives to display the surface. This is the default.

--mode points (Shortcut: --points)
    Use OpenGL points to display the surface.

--mode lines (Shortcut: --lines)
    Use OpenGL lines to display the surface.

--mode line-loops (Shortcut: --line-loops)
    Use OpenGL line loops to display the surface.

--wander | --no-wander
    Whether to wander around the screen.

--spin | --no-spin
    Whether to rotate around the center of the figure.

--fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

AUTHORS
Andrey Mirtchovski, Carsten Steger